<? include("../header_subnivel1.php");?>
<?php 
$txtreferencia= strtoupper($_POST['txtreferencia']); 

$txtreferencia_cliente= strtoupper($_POST['txtreferencia_cliente']); 

$txtconsecutivo= strtoupper($_POST['txtconsecutivo']); 
 
$tipo_de_carga= strtoupper($_POST['tipo_de_carga']); 
if(trim($txtreferencia_cliente)==''){
	echo 'No se recibio la referencia del cliente'; return;	
}	
$link=con_ver();
 
 
	$result=mysqli_query($link,"select * from referencias_veracruz WHERE referencia_cliente like '".trim($txtreferencia_cliente)."'");

	

	if ( mysqli_num_rows($result)>0){

		echo("	<form name=\"form2\" method=\"post\" action=\"referencias.php\">");

		echo("  <div align=\"center\"> ");

		echo("ERROR: REFERENCIA DEL CLIENTE YA REGISTRADA, CORRIJA PARA CONTINUAR");

		echo "<P></P>";

		echo("     <input type=\"submit\" name=\"Submit\" value=\"REGRESAR\">");

		echo("  </div>");

		echo(" </form>");

		}

	else

		{
			
			if(trim($tipo_de_carga)!=''){ 	
		$result=mysqli_query($link,"select * from referencias_veracruz WHERE referencia_cliente like '".trim($txtreferencia_cliente)."'");
	if ( mysqli_num_rows($result)<1){
		
	 	     mysqli_query($link,"INSERT INTO referencias_veracruz (referencia_cliente) Values ('$txtreferencia_cliente')");
		     $consecutivo1 = mysqli_insert_id($link) ;
	 
		     $txtreferencia= $consecutivo1.'-'.strtoupper($_POST['txtreferencia']);
	 
			 mysqli_query($link,"UPDATE  referencias_veracruz set  
			 
			 referencia='$txtreferencia',referencia_cliente='$txtreferencia_cliente',consecutivo='$consecutivo1',tipo_de_carga='$tipo_de_carga'
			 where  referencia_cliente = '$txtreferencia_cliente' ");
			 
			 echo mysqli_error($link);
			 
   		 echo("	<form name=\"form2\" id=\"form2\" method=\"post\" action=\"referencias.php\">");

		 echo("  <div align=\"center\"> ");

		 echo("REFERENCIA AGREGADA<br><br>");

		 echo "<P></P>";

		 echo("     <input type=\"submit\" name=\"Submit\" value=\"REGRESAR\">");

		 echo("  </div>");

		 echo(" </form>");
		
	}
	 
	}

}

?> 

